Xalan-Java 2.7.1: Class SimpleResultTreeImpl.SimpleIterator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.dom
Class SimpleResultTreeImpl.SimpleIterator

    java.lang.Object
      |
      +--org.apache.xml.dtm.ref.DTMAxisIteratorBase
            |
            +--org.apache.xalan.xsltc.dom.SimpleResultTreeImpl.SimpleIterator

public final class SimpleResultTreeImpl.SimpleIterator
extends DTMAxisIteratorBase

The SimpleIterator is designed to support the nodeset() extension function. It has a traversal direction parameter. The DOWN direction is used for child and descendant axes, while the UP direction is used for parent and ancestor axes. This iterator only handles two nodes (RTF_ROOT and RTF_TEXT). If the type is set, it will also match the node type with the given type.

Constructor Summary
`SimpleResultTreeImpl.SimpleIterator()`
`SimpleResultTreeImpl.SimpleIterator(int direction)`
`SimpleResultTreeImpl.SimpleIterator(int direction, int type)`

Method Summary
`void` | `gotoMark()`
`int` | `next()`
`void` | `setMark()`
`DTMAxisIterator` | `setStartNode(int nodeHandle)`

Methods inherited from class org.apache.xml.dtm.ref.DTMAxisIteratorBase
`cloneIterator, getAxis, getLast, getNodeByPosition, getPosition, getStartNode, includeSelf, isDocOrdered, isReverse, reset, setRestartable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleResultTreeImpl.SimpleIterator

    public SimpleResultTreeImpl.SimpleIterator()

### SimpleResultTreeImpl.SimpleIterator

    public SimpleResultTreeImpl.SimpleIterator(int direction)

### SimpleResultTreeImpl.SimpleIterator

    public SimpleResultTreeImpl.SimpleIterator(int direction,
                                               int type)

Method Detail

### next

    public int next()

### setStartNode

    public DTMAxisIterator setStartNode(int nodeHandle)

### setMark

    public void setMark()

### gotoMark

    public void gotoMark()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.